/* MapView.h - Copyright 1992  Steve Ludtke  All Rights Reserved      */

#import <appkit/View.h>
#import <stdlib.h>
#import "gopher.h"


@interface MapView:View
{
    id                  object;		/* points to the GopherObj */
    float               bgColor;	/* background color */
    float               fgColor;	/* foreground color */
    float               path[3004], bbox[4];	/* storage for line drawing */
    char                com[1502];
    int                 pathc;		/* line counter */
    float               myx, myy; 	/* my current position x,y */
    float               xsca, zsca; 	/* scaling factors to map to display */
    float               xof, zof; 	/* offset for display mapping */
    Root               *top; 		/* points to top of web */
}

- initFrame:(NXRect *)myrect;

/* methods required by GopherObj */
    -start:(Root *) Ptop :Pobject :(char *)path;
    -step:(Branch *) myloc;
    -drawSelf:(NXRect *)rects :(int)rectCount;
    -refresh:(Branch *) myloc :(int)speed;
    -(char *)help:window :browser;
    -preferences:sender;

/* methods for io */
    -(BOOL)acceptsFirstResponder;
    -keyDown:(NXEvent *)event;
    -keyUp:(NXEvent *)event;

/* draw a line */
    -addline:(float)x1 :(float)y1 :(float)x2 :(float)y2;
    @end
